# Generated by Django 4.2.5 on 2024-03-27 14:31

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import drf_file_manager.models
import uuid


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="FileModel",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                        unique=True,
                        verbose_name="文件ID",
                    ),
                ),
                (
                    "file",
                    models.FileField(
                        upload_to=drf_file_manager.models.get_upload_to,
                        verbose_name="the file object",
                    ),
                ),
                (
                    "size",
                    models.IntegerField(editable=False, verbose_name="the filesize"),
                ),
                (
                    "name",
                    models.CharField(
                        editable=False, max_length=50, verbose_name="the filename"
                    ),
                ),
                (
                    "md5",
                    models.CharField(
                        db_index=True,
                        editable=False,
                        max_length=32,
                        unique=True,
                        verbose_name="the md5 of the file",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True, verbose_name="the created time of the file"
                    ),
                ),
                (
                    "mimetype",
                    models.CharField(
                        editable=False,
                        max_length=100,
                        verbose_name="the mime type of the file",
                    ),
                ),
                (
                    "created_by",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="the owner of the file",
                    ),
                ),
            ],
            options={
                "ordering": ("-created_at",),
            },
        ),
    ]
